badcrow@qq.com
badcrow@qq.com
  • 发布:2020-07-20 12:07
  • 更新:2020-08-08 10:46
  • 阅读:912

现在插件市场完善度太差了,基本不能用于生产

分类:HBuilderX

现在插件市场的规则导致app开发根本不敢用插件市场里的插件
1、购买插件市场的插件后无法进行离线打包
2、插件市场的插件可用性太低,或多或少都有一些bug,用的时候还像那么回事,但是深入测试,就会发现各种各样的bug
3、一旦使用插件,等于把项目的命运完全绑定在了插件作者身上。1是插件出了bug,自己没办法修改,只能更换方案或者将希望寄托于作者修复。2是作者一旦修改了插件,打包只能用最新的插件,这样就导致每次打包跟开盲盒一样,你压根不知道会发生什么。我买的插件作者有次更换了方法名,项目上线打包的时候刚好插件更新,直接导致项目延期,更不用提更新后的种种bug。
现在的插件市场,顶多算个玩具,你要是用于自娱自乐还可以用用,正儿八经的项目千万别用,等于给自己挖坑。
插件市场做好不仅利于开发者,也是官方的一大收入来源,希望官方可以重视。
对比之下,微擎的插件市场就相当完善,开发者多用的人也多,还出了不少比如人人商城之类的高质量产品。

2020-07-20 12:07 负责人:无 分享
已邀请:
DCloud_heavensoft

DCloud_heavensoft

  1. 免费的可以,付费的涉及盗版问题,不能离线打包
  2. 这个问题其实是经济问题,插件作者挣的钱多,就会更多的优化插件。有的时候某些插件看着便宜,但可能坑比更贵的插件多。
  3. 正常情况,插件作者应该保持向下兼容。后续官方会提供更多插件版本选择。
  • Jonytools

    插件市场可不可以加一个 收藏插件的功能呀

    2020-08-03 16:35

  • DCloud_heavensoft

    回复 Jonytools: 正在做,很快会上线

    2020-08-03 16:58

  • 398927951@qq.com

    希望增加一个打包时插件版本选择,还有依赖库选择,有的Google play版本只是依赖库换一下,但是其他都不变的~

    2020-08-04 18:08

  • 616520422@qq.com

    包名设置错了能改吗

    2020-08-29 07:36

  • DCloud_heavensoft

    回复 Jonytools: 以上线收藏功能

    2020-08-29 16:32

AimerQAQ

AimerQAQ - QAQ

其他的还好说,插件不向下兼容简直是魔鬼吧

feifeiwuxian

feifeiwuxian

像我这种同时会ios和安卓的,是不是就不用担心了?
大不了自己来写插件哈。

爱吃鱼的靖哥哥

爱吃鱼的靖哥哥 - 行走在全栈路上的码农

有的插件作者真的是,联系都联系不上。希望数字天堂真的是天堂没有任何地方变成地狱

拒绝抽烟

拒绝抽烟

用市场的还是图便宜,所以还是定制开发比较省心

叽哩呱啦

叽哩呱啦

加力果

405456070@qq.com

405456070@qq.com - 自学成才

除了官方已有的组件,插件我是能不用就不用,除非自己写不了,要不就看看那插件功能是怎么写的,自己动手仿着写一个,项目用别人的插件终究不是个解决的办法。

要回复问题请先登录注册